Множественные уязвимости в Dell KACE K1000 System Management Appliance

Дата публикации:
21.01.2014
Дата изменения:
21.01.2014
Всего просмотров:
663
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C) = Base:5.8/Temporal:4.3
(AV:A/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C) = Base:5.8/Temporal:4.3
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Dell KACE K1000 System Management Appliance 5.x
Уязвимые версии: Dell KACE K1000 System Management Appliance 5.4.76847, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "macAddress" в SOAP методах getUploadPath и getKBot. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в различных параметрах и сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Список уязвимых параметров:
http://[host]/userui/advisory_detail.php?ID
http://[host]/userui/ticket_list.php?SEARCH_SELECTION=any&ORDER[]
http://[host]/userui/ticket.php?ID

URL производителя: http://www.dell.com/

Решение: Установите последнюю версию 5.5 с сайта производителя.

Ссылки: http://www.baesystemsdetica.com.au/Research/Advisories/Dell-KACE-K1000-SQL-Injection-

или введите имя

CAPTCHA